# See http://docs.spring.io/spring-boot/docs/current/reference/html/common-application-properties.html

# MONGODB CONFIG
mongodb.host=192.168.107.130
#mongodb.host=192.168.126.131
mongodb.port=27017
mongodb.name=evalsmart
mongodb.address=mongodb://${mongodb.host}:${mongodb.port}/${mongodb.name}
spring.data.mongodb.uri=${mongodb.address}

# SERVER CONFIG
server.port=8090
server.servlet.context-path=/evalsmart

# SERVER SSL CONFIG
# The format used for the keystore. It could be set to JKS in case it is a JKS file
server.ssl.key-store-type=PKCS12
# The path to the keystore containing the certificate
server.ssl.key-store=classpath:keystore/evalsmart.p12
# The password used to generate the certificate
server.ssl.key-store-password=evalsmart
# The alias mapped to the certificate
server.ssl.key-alias=evalsmart

# LOGS CONFIG
#logging.level.org.springframework.web: trace
#logging.level.org.apache: trace
logging.level.com.micropole.evalsmart: debug
logging.level.org.springframework.data.mongodb.core.MongoTemplate=DEBUG


